## plasma-workspace 5.14.5.1+rebuild

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-workspace)
set(PROJECT_VERSION "5.14.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.50.0")
set(INSTALL_SDDM_THEME TRUE)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets Quick QuickWidgets Concurrent Test Network)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(KDEPackageAppTemplates)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Plasma DocTools Runner JsEmbed NotifyConfig Su NewStuff Wallet
                    IdleTime Declarative TextWidgets KDELibs4Support Crash GlobalAccel
                    DBusAddons Wayland CoreAddons)
find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION})
set_package_properties(KF5NetworkManagerQt PROPERTIES DESCRIPTION "Qt wrapper for NetworkManager API"
                       TYPE OPTIONAL
                       PURPOSE "Needed by geolocation data engine."
                      )

# WARNING PlasmaQuick provides unversioned CMake config
find_package(KF5 REQUIRED COMPONENTS PlasmaQuick)
find_package(KF5 REQUIRED COMPONENTS SysGuard)
find_package(KF5 REQUIRED COMPONENTS Package)

find_package(KF5Baloo)
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for the File Search runner."
                      )

find_package(KF5TextEditor)
find_package(KWinDBusInterface CONFIG REQUIRED)

find_package(KScreenLocker 5.13.80 REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KF5Holidays)
set_package_properties(KF5Holidays PROPERTIES DESCRIPTION "Holidays provider for Plasma calendar"
                       TYPE OPTIONAL
                       PURPOSE "Needed to for holidays plugin for Plasma Calendar."
                      )

find_package(Phonon4Qt5 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED)
find_package(KF5Activities ${KF5_MIN_VERSION})
set_package_properties(KF5Activities PROPERTIES DESCRIPTION "management of Plasma activities"
                       TYPE OPTIONAL
                       PURPOSE "Needed by activity related plasmoids."
                      )

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace")

if(X11_FOUND)
  find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR)
  set_package_properties(XCB PROPERTIES TYPE REQUIRED)
  if(NOT X11_SM_FOUND)
    message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.\nPlease install libSM.\n")
  endif(NOT X11_SM_FOUND)

  find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)
endif()

if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
endif()

find_package(AppStreamQt 0.10.6)
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Access metadata for listing available software"
                       URL "https://www.freedesktop.org/wiki/Distributions/AppStream/"
		       TYPE OPTIONAL
                      )


include(ConfigureChecks.cmake)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(plasma.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma.desktop)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasma.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/xsessions
)

configure_file(plasmawayland.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasmawayland.desktop)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasmawayland.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/wayland-sessions
)

plasma_install_package(lookandfeel org.kde.breeze.desktop look-and-feel lookandfeel)

if (INSTALL_SDDM_THEME)
    configure_file(sddm-theme/theme.conf.cmake ${CMAKE_CURRENT_BINARY_DIR}/sddm-theme/theme.conf)

# Install the login theme into the SDDM directory
# Longer term we need to look at making SDDM load from look and feel somehow.. and allow copying at runtime
    #NOTE this trailing slash is important to rename the directory
    install(DIRECTORY sddm-theme/ DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze PATTERN "README.txt" EXCLUDE PATTERN "components" EXCLUDE PATTERN "dummydata" EXCLUDE
    PATTERN "theme.conf.cmake" EXCLUDE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sddm-theme/theme.conf DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze)
    install(DIRECTORY lookandfeel/contents/components DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze PATTERN "README.txt" EXCLUDE)

endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(doc)
add_subdirectory(libkworkspace)
add_subdirectory(libdbusmenuqt)
add_subdirectory(appmenu)

add_subdirectory(libtaskmanager)
add_subdirectory(libcolorcorrect)
add_subdirectory(components)

add_subdirectory(plasma-windowed)
add_subdirectory(shell)
add_subdirectory(freespacenotifier)
add_subdirectory(klipper)
add_subdirectory(krunner)
add_subdirectory(ksmserver)
add_subdirectory(ksplash)
add_subdirectory(systemmonitor)
add_subdirectory(statusnotifierwatcher)
add_subdirectory(startkde)
add_subdirectory(themes)

add_subdirectory(containmentactions)
add_subdirectory(runners)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(wallpapers)

add_subdirectory(kioslave)
add_subdirectory(ktimezoned)
add_subdirectory(kuiserver)
add_subdirectory(menu)
add_subdirectory(phonon)

# This ensures pressing the eject button on a CD drive ejects the disc
# It listens to the Solid::OpticalDrive::ejectPressed signal that is only
# supported by Solid in the HAL backend and does nothing with UDev
if(CMAKE_SYSTEM_NAME MATCHES FreeBSD)
add_subdirectory(solidautoeject)
endif()

ecm_optional_add_subdirectory(xembed-sni-proxy)

ecm_optional_add_subdirectory(gmenu-dbusmenu-proxy)

add_subdirectory(soliduiserver)

if(KF5Holidays_FOUND)
    add_subdirectory(plasmacalendarintegration)
endif()

add_subdirectory(templates)

install( FILES plasma-workspace.categories  DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== ksmserver/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"ksmserver\")

include_directories(${PHONON_INCLUDE_DIR})

check_library_exists(ICE _IceTransNoListen "" HAVE__ICETRANSNOLISTEN)
configure_file(config-ksmserver.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksmserver.h)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(logout-greeter)
if(BUILD_TESTING)
   add_subdirectory(tests)
endif()

########### next target ###############

set(ksmserver_KDEINIT_SRCS
    main.cpp
    server.cpp
    legacy.cpp
    startup.cpp
    autostart.cpp
    shutdown.cpp
    client.cpp
)
ecm_qt_declare_logging_category(ksmserver_KDEINIT_SRCS HEADER ksmserver_debug.h IDENTIFIER KSMSERVER CATEGORY_NAME org.kde.kf5.ksmserver)

set(kcminit_adaptor ${plasma-workspace_SOURCE_DIR}/startkde/kcminit/main.h)
set(kcminit_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KCMinit.xml)

qt5_generate_dbus_interface( ${kcminit_adaptor} ${kcminit_xml} )
qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS ${kcminit_xml} kcminit_interface )

# FIXME: This is actually not disabled any more because OrgKDEKlauncherInterface isn't provided
# otherwise.
# # This is actually now disabled, because OrgKDEKlauncherInterface is also provided
# # by kdecore, it is not autogenerated and is not binary compatible with a currently
# # generated version, thus at certain circumstances leading to strange crashes.
# # This should be fixed for KDE5.
# # KLauchner.xml is installed by kdelibs, so it is in KDE4_DBUS_INTERFACES_DIR
set(klauncher_xml ${KINIT_DBUS_INTERFACES_DIR}/kf5_org.kde.KLauncher.xml)
qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS ${klauncher_xml} klauncher_interface )

qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS ${KSCREENLOCKER_DBUS_INTERFACES_DIR}/org.kde.screensaver.xml kscreenlocker_interface )


qt5_add_dbus_adaptor( ksmserver_KDEINIT_SRCS org.kde.KSMServerInterface.xml server.h KSMServer )

kf5_add_kdeinit_executable( ksmserver ${ksmserver_KDEINIT_SRCS})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KSMServerDBusInterface")

configure_package_config_file(KSMServerDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/KSMServerDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

target_link_libraries(kdeinit_ksmserver
    PW::KScreenLocker
    PW::KWorkspace
    KF5::XmlGui
    KF5::GlobalAccel
    KF5::KIOCore
    KF5::KIOWidgets
    ${X11_LIBRARIES}
    ${X11_Xrender_LIB}
    Qt5::X11Extras
    KF5::Solid
    Qt5::Quick
    KF5::Declarative
    KF5::DBusAddons
    KF5::Package
    KF5::KDELibs4Support # Solid/PowerManagement
    ${PHONON_LIBRARIES}
    Qt5::Concurrent
)

install(TARGETS kdeinit_ksmserver ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(TARGETS ksmserver ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KSMServerDBusInterfaceConfig.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})
########### next target ###############

set(kcheckrunning_SRCS
    kcheckrunning.cpp)

add_executable( kcheckrunning ${kcheckrunning_SRCS})

target_link_libraries(kcheckrunning ${X11_LIBRARIES})
target_include_directories(kcheckrunning PRIVATE ${X11_X11_INCLUDE_PATH})

install(TARGETS kcheckrunning ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES org.kde.KSMServerInterface.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== ktimezoned/CMakeLists.txt ===
if (WIN32)
    set(kded_ktimezoned_SRCS ktimezoned_win.cpp)
else ()
    set(kded_ktimezoned_SRCS ktimezoned.cpp)
endif ()

add_library(ktimezoned MODULE ${kded_ktimezoned_SRCS})
kcoreaddons_desktop_to_json(ktimezoned ktimezoned.desktop)

#qt5_add_dbus_adaptor(kded_ktimezoned_SRCS org.kde.KTimeZoned ktimezonedbus.h DBusHandler)

target_link_libraries(ktimezoned
   Qt5::Core
   Qt5::DBus
   KF5::Service    # plugin factory
   KF5::CoreAddons # KDirWatch
   KF5::DBusAddons # kdedmodule
)

install(TARGETS ktimezoned DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

=== startkde/CMakeLists.txt ===
add_subdirectory(kcminit)
add_subdirectory(kstartupconfig)
add_subdirectory(ksyncdbusenv)
add_subdirectory(waitforname)

#FIXME: reconsider, looks fishy
if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${KDE_INSTALL_FULL_DATAROOTDIR}/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
endif()

configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
configure_file(startplasmacompositor.cmake ${CMAKE_CURRENT_BINARY_DIR}/startplasmacompositor  @ONLY)
configure_file(startplasma.cmake ${CMAKE_CURRENT_BINARY_DIR}/startplasma  @ONLY)

if(NOT WIN32)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startkde DESTINATION ${KDE_INSTALL_BINDIR})
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startplasmacompositor DESTINATION ${KDE_INSTALL_BINDIR})
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startplasma DESTINATION ${KDE_INSTALL_LIBEXECDIR})
endif()

=== containmentactions/applauncher/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_containmentactions_applauncher\")

set(applauncher_SRCS
    launch.cpp
)
ki18n_wrap_ui(applauncher_SRCS config.ui)

add_library(plasma_containmentactions_applauncher MODULE ${applauncher_SRCS})

kcoreaddons_desktop_to_json(plasma_containmentactions_applauncher plasma-containmentactions-applauncher.desktop)

target_link_libraries(plasma_containmentactions_applauncher KF5::Plasma KF5::KIOCore KF5::KIOWidgets KF5::I18n)

install(TARGETS plasma_containmentactions_applauncher DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-containmentactions-applauncher.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== dataengines/filebrowser/CMakeLists.txt ===
set(filebrowser_engine_SRCS
    filebrowserengine.cpp
)

add_library(plasma_engine_filebrowser MODULE ${filebrowser_engine_SRCS})
target_link_libraries(plasma_engine_filebrowser
    KF5::Plasma
    KF5::Service
    KF5::KIOCore
    KF5::KDELibs4Support
)

kcoreaddons_desktop_to_json(plasma_engine_filebrowser plasma-dataengine-filebrowser.desktop)

install(TARGETS plasma_engine_filebrowser DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
install(FILES plasma-dataengine-filebrowser.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )

=== kioslave/applications/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_applications\")

add_library(kio_applications MODULE kio_applications.cpp)

target_link_libraries(kio_applications KF5::KIOCore KF5::I18n Qt5::Network)

install(TARGETS kio_applications  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install( FILES  programs.protocol applications.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== libtaskmanager/autotests/CMakeLists.txt ===
include(ECMAddTests)

ecm_add_tests(
    tasktoolstest.cpp
    launchertasksmodeltest.cpp
    LINK_LIBRARIES taskmanager Qt5::Test KF5::Service KF5::IconThemes
)

=== runners/services/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_services\")

set(krunner_services_SRCS
    servicerunner.cpp
)

ecm_qt_declare_logging_category(krunner_services_SRCS
    HEADER debug.h
    IDENTIFIER RUNNER_SERVICES
    CATEGORY_NAME org.kde.plasma.runner.services
    DEFAULT_SEVERITY Warning)

add_library(krunner_services MODULE ${krunner_services_SRCS})
target_link_libraries(krunner_services
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
    KF5::Runner
    KF5::Service
    KF5::Activities
)

add_library(krunner_services_test STATIC ${krunner_services_SRCS})
target_link_libraries(krunner_services_test
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
    KF5::Runner
    KF5::Service
    KF5::Activities
)

install(TARGETS krunner_services DESTINATION ${KDE_INSTALL_PLUGINDIR} )

install(FILES plasma-runner-services.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== runners/bookmarks/tests/CMakeLists.txt ===

include(ECMMarkAsTest)


set( testChromeBookmarks_SRCS testchromebookmarks.cpp 
  ../browsers/chrome.cpp
  ../faviconfromblob.cpp
  ../browsers/chromefindprofile.cpp
  ../bookmarkmatch.cpp
  ../favicon.cpp
  ../fetchsqlite.cpp
)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR}/.. )
add_executable( testChromeBookmarks ${testChromeBookmarks_SRCS} )
#add_executable( testChromeBookmarksNAME plasma-runner-bookmarks-TestChromeBookmarks ${testChromeBookmarks_SRCS} )
add_test(NAME testChromeBookmarks COMMAND testChromeBookmarks)
ecm_mark_as_test(testChromeBookmarks)
#add_test( testChromeBookmarks TESTNAME plasma-runner-bookmarks-TestChromeBookmarks ${testChromeBookmarks_SRCS} )
target_link_libraries( testChromeBookmarks
    Qt5::Gui
    Qt5::Test
    Qt5::Sql
    KF5::Runner
    KF5::KIOCore
)

add_test(NAME plasma-runner-bookmarks-TestChromeBookmarks COMMAND testChromeBookmarks)
ecm_mark_as_test(testChromeBookmarks)

file(COPY chrome-config-home DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

=== dataengines/share/backends/wklej/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/metadata.desktop ${CMAKE_CURRENT_BINARY_DIR}/plasma-dataengine-share-addon-wklej.desktop COPYONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-dataengine-share-addon-wklej.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES metadata.desktop
        DESTINATION ${PLASMA_DATA_INSTALL_DIR}/shareprovider/wklej/)

install(DIRECTORY contents
        DESTINATION ${PLASMA_DATA_INSTALL_DIR}/shareprovider/wklej)

=== debian/changelog ===
plasma-workspace (4:5.14.5.1+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 09:41:04 +0800

## plasma-workspace 5.15.4

=== debian/changelog ===
plasma-workspace (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:56 +0100

plasma-workspace (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:18 +0000

plasma-workspace (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:15:26 +0000

plasma-workspace (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:49 +0000

plasma-workspace (4:5.15.0-0ubuntu1) disco; urgency=medium

  * Add qml-module-org-kde-kirigami2 runtime dep.
  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:21 +0000

plasma-workspace (4:5.14.90-0ubuntu1) disco; urgency=medium

  * Update install files.
  * New build depend on kded5-dev.
  * Update symbols.
  * Breaks/Replaces on plasma-desktop and plasma-desktop-data, where
    kcm_translations moved to plasma-workspace.
  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:45 +0000

plasma-workspace (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:06 +0000

plasma-workspace (4:5.14.4-0ubuntu2) disco; urgency=medium

  * Remove not required or obsolete lm-sensors build dep.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 03:08:41 +0000

plasma-workspace (4:5.14.4-0ubuntu1) disco; urgency=medium

  * Update install files
  * New upstream release (5.13.90)
  * Update symbols from build logs.
  * Runtime recommends on appmenu-gtk3-module.
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:10 +0000

plasma-workspace (4:5.13.5-1ubuntu2) disco; urgency=medium

  * No-change rebuild against latest libqalculate

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 09:24:25 -0500

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.54.0~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kded5-dev (>= 5.54.0~),
               kgendesignerplugin (>= 5.54.0~),
               kinit-dev (>= 5.54.0~),
               kscreenlocker-dev (>= 5.15.4~),
               kwin-dev (>= 4:5.15.4~),
               libappstreamqt-dev (>= 0.10.4~) [linux-any],
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5holidays-dev (>= 1:5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5idletime-dev (>= 5.54.0~),
               libkf5itemmodels-dev (>= 5.54.0~),
               libkf5jsembed-dev (>= 5.54.0~),
               libkf5kcmutils-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5networkmanagerqt-dev (>= 5.54.0~),
               libkf5newstuff-dev (>= 5.54.0~),
               libkf5notifyconfig-dev (>= 5.54.0~),
               libkf5package-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5prison-dev (>= 5.54.0~),
               libkf5runner-dev (>= 5.54.0~),
               libkf5screen-dev (>= 4:5.15.4~),
               libkf5solid-dev (>= 5.54.0~),
               libkf5su-dev (>= 5.54.0~),
               libkf5sysguard-dev (>= 4:5.15.4~),
               libkf5texteditor-dev (>= 5.54.0~),
               libkf5textwidgets-dev (>= 5.54.0~),
               libkf5wallet-dev (>= 5.54.0~),
               libkf5wayland-dev (>= 4:5.54.0~),
               libkf5webkit-dev (>= 5.54.0~),
               libkf5xmlrpcclient-dev (>= 5.54.0~),
               libnm-dev,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev (>= 5.7~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev | libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework (>= 5.54.0~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.7~),
               xcb-proto,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace

Package: libcolorcorrect5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 ColorCorrect library.
 .
 This package contains library files.

Package: libkworkspace5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.

Package: libplasma-geolocation-interface5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libtaskmanager5
Replaces: libtaskmanager5
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libweather-ion7
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 5.14),
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd (>= 5.14),
         kded5,
         kinit,
         kio,
         kwin-common (>= 4:5.14),
         libkf5config-bin,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5plasma5 (>= 5.45.0~),
         libkf5service-bin,
         milou (>= 4:5.14),
         plasma-framework (>= 5.54.0~),
         plasma-integration (>= 5.14),
         qdbus-qt5,
         qml-module-org-kde-activities,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kconfig,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kholidays,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-gtk3-module,
            kde-cli-tools (>= 4:5.14),
            kio-extras,
            ksysguardd (>= 4:5.14),
            libpam-kwallet5 (>= 5.14),
            powerdevil (>= 4:5.14),
            qml-module-org-kde-qqc2desktopstyle,
Breaks: kde-window-manager (<= 4:5),
        kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210),
        plasma-desktop (<< 4:5.14.80~),
        plasma-desktop-data (<< 4:5.14.80~),
        ${kde-l10n:all},
Conflicts: kde-workspace, kde-workspace-data, klipper
Provides: notification-daemon, x-session-manager
Replaces: kde-workspace-bin,
          kde-workspace-data,
          kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-desktop (<< 4:5.14.80~),
          plasma-desktop-data (<< 4:5.14.80~),
          plasma-systray-legacy,
          plasma-workspace-data,
          ${kde-l10n:all},
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: plasma-workspace-dev
Architecture: any
Depends: kwin-common (>= 4:5.14),
         libkf5itemmodels-dev (>= 5.54.0~),
         libkf5plasma-dev (>= 5.54.0~),
         libkf5sysguard-dev (>= 4:5.15.4~),
         libkf5windowsystem-dev (>= 5.54.0~),
         plasma-workspace (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         qtdeclarative5-dev (>= 5.9.0~),
         ${allLibraries},
         ${misc:Depends},
Breaks: kde-workspace-dev
Conflicts: kde-workspace-dev
Replaces: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration (>= 5.14),
         kwin-wayland (>= 4:5.14),
         plasma-workspace (= ${binary:Version}),
         qtwayland5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework (>= 5.54.0~), plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Provides: sddm-theme
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, dbus (>= 1.8), xauth, xvfb, dbus-x11
Restrictions: build-needed
#
#Tests: acc
#Depends: @, dh-acc, exuberant-ctags
#Restrictions: allow-stderr

## plasma-workspace 5.16.5

=== debian/changelog ===
plasma-workspace (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:25:37 +0100

plasma-workspace (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:21 +0100

plasma-workspace (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:23:38 +0100

plasma-workspace (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * Tweak appstream dependencies as latest is not required.
  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:34 +0100

plasma-workspace (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:25:33 +0100

plasma-workspace (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:17 +0100

plasma-workspace (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New library package for libnotificationmanager.
  * Update install files.
  * Update lintian-overrides.
  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:24 +0100

plasma-workspace (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,52 +3,52 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.54.0~),
+Build-Depends: baloo-kf5-dev (>= 5.58.0~),
                cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kded5-dev (>= 5.54.0~),
-               kgendesignerplugin (>= 5.54.0~),
-               kinit-dev (>= 5.54.0~),
-               kscreenlocker-dev (>= 5.15.4~),
-               kwin-dev (>= 4:5.15.4~),
+               extra-cmake-modules (>= 5.58.0~),
+               kded5-dev (>= 5.58.0~),
+               kgendesignerplugin (>= 5.58.0~),
+               kinit-dev (>= 5.58.0~),
+               kscreenlocker-dev (>= 5.16.5~),
+               kwin-dev (>= 4:5.16.5~),
                libappstreamqt-dev (>= 0.10.4~) [linux-any],
                libboost-dev,
                libdbusmenu-qt5-dev,
                libgps-dev,
-               libkf5activities-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5crash-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5declarative-dev (>= 5.54.0~),
-               libkf5doctools-dev (>= 5.54.0~),
-               libkf5globalaccel-dev (>= 5.54.0~),
-               libkf5holidays-dev (>= 1:5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5idletime-dev (>= 5.54.0~),
-               libkf5itemmodels-dev (>= 5.54.0~),
-               libkf5jsembed-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5kdelibs4support-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5networkmanagerqt-dev (>= 5.54.0~),
-               libkf5newstuff-dev (>= 5.54.0~),
-               libkf5notifyconfig-dev (>= 5.54.0~),
-               libkf5package-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5prison-dev (>= 5.54.0~),
-               libkf5runner-dev (>= 5.54.0~),
-               libkf5screen-dev (>= 4:5.15.4~),
-               libkf5solid-dev (>= 5.54.0~),
-               libkf5su-dev (>= 5.54.0~),
-               libkf5sysguard-dev (>= 4:5.15.4~),
-               libkf5texteditor-dev (>= 5.54.0~),
-               libkf5textwidgets-dev (>= 5.54.0~),
-               libkf5wallet-dev (>= 5.54.0~),
-               libkf5wayland-dev (>= 4:5.54.0~),
-               libkf5webkit-dev (>= 5.54.0~),
-               libkf5xmlrpcclient-dev (>= 5.54.0~),
+               libkf5activities-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5crash-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5declarative-dev (>= 5.58.0~),
+               libkf5doctools-dev (>= 5.58.0~),
+               libkf5globalaccel-dev (>= 5.58.0~),
+               libkf5holidays-dev (>= 1:5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5idletime-dev (>= 5.58.0~),
+               libkf5itemmodels-dev (>= 5.58.0~),
+               libkf5jsembed-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5kdelibs4support-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5networkmanagerqt-dev (>= 5.58.0~),
+               libkf5newstuff-dev (>= 5.58.0~),
+               libkf5notifyconfig-dev (>= 5.58.0~),
+               libkf5package-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5prison-dev (>= 5.58.0~),
+               libkf5runner-dev (>= 5.58.0~),
+               libkf5screen-dev (>= 4:5.16.5~),
+               libkf5solid-dev (>= 5.58.0~),
+               libkf5su-dev (>= 5.58.0~),
+               libkf5sysguard-dev (>= 4:5.16.5~),
+               libkf5texteditor-dev (>= 5.58.0~),
+               libkf5textwidgets-dev (>= 5.58.0~),
+               libkf5wallet-dev (>= 5.58.0~),
+               libkf5wayland-dev (>= 4:5.58.0~),
+               libkf5webkit-dev (>= 5.58.0~),
+               libkf5xmlrpcclient-dev (>= 5.58.0~),
                libnm-dev,
                libpam0g-dev,
                libphonon4qt5-dev (>= 4:4.8.0-5),
@@ -142,6 +142,17 @@
  .
  This package contains library files.
 
+Package: libnotificationmanager1
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Plasma Workspace for KF5 library
+ Plasma Workspace for KF5. Workspaces provide
+ support for KDE Plasma Widgets, integrated search,
+ hardware management and a high degree of customizability.
+ Taskmanager library.
+ .
+ This package contains library files for notifications.
+
 Package: libweather-ion7
 Architecture: any
 Section: libs
@@ -166,6 +177,7 @@
          kinit,
          kio,
          kwin-common (>= 4:5.14),
+         libappstreamqt2,
          libkf5config-bin,
          libkf5globalaccel-bin (>= 5.7.0),
          libkf5plasma5 (>= 5.45.0~),
@@ -232,10 +244,10 @@
 Package: plasma-workspace-dev
 Architecture: any
 Depends: kwin-common (>= 4:5.14),
-         libkf5itemmodels-dev (>= 5.54.0~),
-         libkf5plasma-dev (>= 5.54.0~),
-         libkf5sysguard-dev (>= 4:5.15.4~),
-         libkf5windowsystem-dev (>= 5.54.0~),
+         libkf5itemmodels-dev (>= 5.58.0~),
+         libkf5plasma-dev (>= 5.58.0~),
+         libkf5sysguard-dev (>= 4:5.16.5~),
+         libkf5windowsystem-dev (>= 5.58.0~),
          plasma-workspace (= ${binary:Version}),
          qtbase5-dev (>= 5.9.0~),
          qtdeclarative5-dev (>= 5.9.0~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

libpkgs_addsubst_allLibraries = plasma-workspace-dev
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_strip:
	dh_strip --dbgsym-migration='plasma-workspace-dbg (<= 4:5.5.5.1-1~~)'

override_dh_fixperms:
	chmod -x debian/plasma-workspace/etc/xdg/autostart/klipper.desktop
	dh_fixperms

override_dh_install:
	mkdir -p debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
	cp debian/40-kde-plasma-kf5.conf debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
	dh_install

override_dh_shlibdeps:
	dh_shlibdeps -pplasma-workspace -- -xlibappstreamqt2
	dh_shlibdeps --remaining-packages

override_dh_gencontrol: l10npkgs_firstversion_ok libpkgs_addsubst_allLibraries
	dh_gencontrol
